import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
export declare class ModalScanner implements ComponentInterface {
  qrCodeScanner: any;
  floodteamCloseModal: EventEmitter;
  onReset(event: any): void;
  onSuccess(event: any): Promise<void>;
  presentToast(): Promise<void>;
  onScanSuccess(decodedText: any, decodedResult: any): void;
  componentDidLoad(): void;
  render(): any[];
}
